Forbhreathnú ar an eochair
| Leagan na heochrach | V3 |
|---|---|
| Sonraíocht | RFC 1991 · RFC 2440 · RFC 4880 |
| Stádas | As feidhm – legacy, coinnithe ar mhaithe le comhoiriúnacht stairiúil amháin |
| Príomheochair (deimhniú, síniú) | RSA 1024 · ID 1 |
| Fo-eochair chriptithe | Gan aon cheann: ní bhíonn fo-eochracha ag eochracha leagan 2 agus 3; déanann an phríomheochair RSA criptiú freisin (C/S/E díorthaithe ón algartam) |
| Méarlorg | 8C82CFA8E8957EA451848A6948E37C72 |
| Frása faire na heochrach príobháidí | synthetic-key-password |
Algartaim agus úsáid
RSA 1024: RSA le modúl de 1024 giotán, a mheastar a bheith inbhriste sa lá atá inniu ann. Coinnithe ar mhaithe le comhoiriúnacht stairiúil amháin; glacann GnuPG leis, diúltaíonn Sequoia agus uirlisí bunaithe ar rPGP d’eochracha faoi bhun 2048 giotán, mar a dhéanann an freastalaí eochracha keys2.
Eochair phoiblí
An eochair phoiblí lena haitheantas úsáideora agus a féinsíniú. Ní bhíonn fo-eochracha ag eochracha leagan 2 agus 3: fíoraíonn an eochair RSA chéanna sínithe agus úsáidtear í chun criptiú don aitheantas tástála seo.
Íoslódáil → 522 bearta
-----BEGIN PGP PUBLIC KEY BLOCK-----
mQCPA2r3la4AAAEEAKbAYcHV75nFBHMuEeSltY+rW8BCKK7e2P+AMtswK8sG8SSc
OBoxM9Ik/hlTO6I8hF3axTTGA7iMdyGxXtL3Nio/I/FYgthcwzZlH/HYvtfcIv7A
R91CNxsApAZSTKFzvER2OErXOTLNs8TcK07iKVhH5s9gJ/vk5QN+1/3nHRk3ABEB
AAG0GUNILUogbWF0cml4IDQxLXYzLXJzYTEwMjSJAJUDBRBq95WuA37X/ecdGTcB
AUEsA/94CUvcJjevvEkCBzcZQX4zARY+Mh6xSmSJTBXLIrGKazDFOYnWZq10Twfp
ei85gleieNQrZ7vbFvu39I0bztixSoaoFnf76oe/y9Oaerg6eUpvuWqkbfgcgArp
UvpxeJ/YLr3Ksa7hnVzR8ar6DvyrZe8gDq80hCyUnWX+M/SnmQ==
=d6DR
-----END PGP PUBLIC KEY BLOCK-----
Eochair phríobháideach
An eochair phríobháideach, cosanta leis an bhfrása faire a thaispeántar thuas. Foilsithe le haghaidh tástála amháin: is féidir le duine ar bith í a úsáid.
Íoslódáil → 983 bearta
Taispeáin
-----BEGIN PGP PRIVATE KEY BLOCK-----
lQHiA2r3la4AAAEEAKbAYcHV75nFBHMuEeSltY+rW8BCKK7e2P+AMtswK8sG8SSc
OBoxM9Ik/hlTO6I8hF3axTTGA7iMdyGxXtL3Nio/I/FYgthcwzZlH/HYvtfcIv7A
R91CNxsApAZSTKFzvER2OErXOTLNs8TcK07iKVhH5s9gJ/vk5QN+1/3nHRk3ABEB
AAEBn9em93oQYcQEAEx48Hk8F2fl6Efnc1IHy9w0owGL/s5BJTh4bUASKniDUEmT
Z2xhzr8R0rdhOfcUBs7azdmQctj4O8lOUazK1g1mHzKY/BZXOjdIn/oeW0z+0Vmr
ddtMSh1L31Vr9Fc0xfH379CxySzG6jDPkdzhICwwUWKdunZ3FpCkMeTSJEiHAgA7
1tSD64MFBJSYJD6Lii870MUtp6ODC179LdsE+nz54lA7JjSRByl1fX43D4B1T+3z
jM+MsFrQOoNULYQf4Tc1AgCfOy4jZ46QTDVBFHPonKrWJJjz6PAsRDyknuVYKgqi
B64ZhOGlCSJ1SCAuxL5E1cwmRBZDZ8gJTXkfr1X6hMM1AgBYyBgNsMOHi4woPnVI
KTdpf9c+91YmycWbRmr8kbjPY0pIbkGZeKHDj52rsUi4LM2MHxdZkxvZhgFfNpnR
9SjtoOG0GUNILUogbWF0cml4IDQxLXYzLXJzYTEwMjSJAJUDBRBq95WuA37X/ecd
GTcBAUEsA/94CUvcJjevvEkCBzcZQX4zARY+Mh6xSmSJTBXLIrGKazDFOYnWZq10
Twfpei85gleieNQrZ7vbFvu39I0bztixSoaoFnf76oe/y9Oaerg6eUpvuWqkbfgc
gArpUvpxeJ/YLr3Ksa7hnVzR8ar6DvyrZe8gDq80hCyUnWX+M/SnmQ==
=7ZMo
-----END PGP PRIVATE KEY BLOCK-----
Teastas cúlghairme
Teastas um chomhréiteach eochrach a gineadh roimh ré, aicme sínithe 0x20 sainithe in RFC 1991 (“This is my key, and I have revoked it”) agus curtha chun feidhme in PGP 2.6. Má iompórtálann tú é, marcáiltear an eochair mar eochair chúlghairthe.
Íoslódáil → 725 bearta
Taispeáin
-----BEGIN PGP PUBLIC KEY BLOCK-----
mQCPA2r3la4AAAEEAKbAYcHV75nFBHMuEeSltY+rW8BCKK7e2P+AMtswK8sG8SSc
OBoxM9Ik/hlTO6I8hF3axTTGA7iMdyGxXtL3Nio/I/FYgthcwzZlH/HYvtfcIv7A
R91CNxsApAZSTKFzvER2OErXOTLNs8TcK07iKVhH5s9gJ/vk5QN+1/3nHRk3ABEB
AAGJAJUDBSBq95WuA37X/ecdGTcBAQKBA/938RSvUEr4RE3RH8V4mIdCNHVEXim2
v1vGCyWPFp+Re1xgnraxYCt/4bceqDjaof6N3hTraaoOd2cOP3ge39ewplNH2jl1
NaYjDLROBAGl1ZU8QTEwrsP0XRXEasYuy674fbt3TscZo+T4g+J58/1vzFeDh47T
E5TqXR7x9kFoDrQZQ0gtSiBtYXRyaXggNDEtdjMtcnNhMTAyNIkAlQMFEGr3la4D
ftf95x0ZNwEBQSwD/3gJS9wmN6+8SQIHNxlBfjMBFj4yHrFKZIlMFcsisYprMMU5
idZmrXRPB+l6LzmCV6J41Ctnu9sW+7f0jRvO2LFKhqgWd/vqh7/L05p6uDp5Sm+5
aqRt+ByACulS+nF4n9guvcqxruGdXNHxqvoO/Ktl7yAOrzSELJSdZf4z9KeZ
=qfgP
-----END PGP PUBLIC KEY BLOCK-----
Síniú ar test_1MB.bin
Síniú scoite i bhformáid armúrtha ASCII ar test_1MB.bin, déanta leis an eochair seo in CH-J Tools. Sábháil é mar test_1MB.bin.asc in aice leis an gcomhad tástála.
Íoslódáil → 273 bearta
-----BEGIN PGP SIGNATURE-----
iQCVAwUAaveVrgN+1/3nHRk3AQEGewP/ck01xi+d+csd/k4uhv+Dj2n5FvCmjt3B
MaTtFXxc1wgqTLkeGTFlbjvBT1GqHF9JFhhVjV4ncksZdNvhD3DMzMVNzKLi+K1K
ewxkEdjvdYtaQl2nRS/oAZAH5wRSvZZI2YYxLSDpiP2yAwkLDEf+cddUoVdLOBWX
tcXeGQeIU5I=
=wikQ
-----END PGP SIGNATURE-----
Fíoraigh an síniú
Teastaíonn GnuPG 1.4 (gpg1) le cead sainráite do MD5, nó leagan stairiúil PGP, nó CH-J Tools, ó eochracha leagan 3 agus 2 lena n-úsáid. Úsáid GNUPGHOME sealadach ionas nach gcuirfear an eochair thástála i d’fhíorfháinne eochracha:
export GNUPGHOME="$(mktemp -d)"
gpg1 --allow-weak-digest-algos --import pgp-example-41-public.asc
gpg1 --allow-weak-digest-algos --verify test_1MB.bin.asc test_1MB.bin